API ReferenceCurrent account email verification
Confirm the email OTP
Verifies the emailed code and marks the account's email verified.
Path Parameters
emailVerificationId*string
Format
uuidRequest Body
application/json
Request body for confirming an OTP
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/user/accounts/current/email/verifications/497f6eca-6276-4993-bfeb-53cbbbba6f08/confirm" \ -H "Content-Type: application/json" \ -d '{ "otp_code": "123456" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "url": "string", "status": "INITIALIZING", "created_at": "2019-08-24T14:15:22Z", "verified_at": "2019-08-24T14:15:22Z", "confirm_url": "string", "resource_id": "string"}{ "code": "BAD_REQUEST", "description": "Bad Request"}{ "code": "UNAUTHORISED", "description": "Unauthorised"}{ "code": "WAITING_LIST", "description": "User is in the waiting list"}{ "code": "TOO_MANY_REQUESTS", "description": "Too Many Requests"}{ "code": "INTERNAL_SERVER_ERROR", "description": "Internal Server Error"}